/* part of the shansyn spherical harmonics package, see COPYRIGHT for license */
/* $Id: scale_model.c,v 1.4 2002/01/07 22:09:26 becker Exp becker $ */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include "function_macros.h"
#include "trig_constants.h"
#include "precision.h"
#include "spherical_harmonics_functions.h"
#include "legendre_macros.h"
#include "myio.h"

//
// scales model with factor 
//

int main(int argc, char **argv)
{
  COMP_PRECISION factor=1.0;
  int i,l,m;
  struct mod model;
  switch(argc){
  case 2:{
    break;
  }
  case 3:{
    sscanf(argv[2],DATA_FSCAN_FORMAT,&factor);
    break;
  }
  default:{
    fprintf(stderr,"%s file1 [factor (%g)]\n",
	    argv[0],factor);
    fprintf(stderr,"scales spherical harmonic model by factor\n");
    exit(-1);
    break;
  }}
  read_she_model(argv[1],&model,-1);
  if(factor != 1.0){
    fprintf(stderr,"%s: scaling model with factor %g\n",argv[0],factor);
  }else{
    fprintf(stderr,"%s: no scaling, factor: %g\n",argv[0],factor);
  }
  write_model(&model,factor);


  return 0;
}


